<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="/Customers">
<html>
<head><title>Alle meine Kunden</title></head>
<body>
<H1>Alle meine <xsl:value-of select="count(Customer)"/> Kunden</H1>
<ul>
<xsl:apply-templates select="Customer"/>
</ul>
</body>
</html>
	</xsl:template>
	<xsl:template match="Customer">
<li>
<a href="javascript:alert('ID: {@id}')">
<xsl:value-of select="concat(Name/@First, ' ', Name/@Last)"/>
</a>
(<a><xsl:attribute name="href">mailto:<xsl:value-of select="ContactDetails/@Email"/></xsl:attribute>E-Mail</a>)
</li>
	</xsl:template>
</xsl:stylesheet>